net.sf.jasperreports.charts

## Interface JRLinePlot

- All Superinterfaces:
    java.lang.Cloneable, JRCategoryAxisFormat, JRCategoryPlot, JRChartPlot, JRCloneable, JRCommonLinePlot, JRValueAxisFormat
  All Known Implementing Classes:
    JRBaseLinePlot, JRDesignLinePlot, JRFillLinePlot

      public interface JRLinePlot
      extends JRCategoryPlot, JRCommonLinePlot

  Type of plot used to render Line charts.
  Version:
    $Id: JRLinePlot.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat

      `PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

  - ### Method Summary

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRCategoryPlot

      `getCategoryAxisLabelExpression, getDomainAxisMaxValueExpression, getDomainAxisMinValueExpression, getRangeAxisMaxValueExpression, getRangeAxisMinValueExpression, getValueAxisLabelExpression`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat

      `getCategoryAxisLabelColor, getCategoryAxisLabelFont, getCategoryAxisLineColor, getCategoryAxisTickLabelColor, getCategoryAxisTickLabelFont, getCategoryAxisTickLabelMask, getCategoryAxisTickLabelRotation, getCategoryAxisVerticalTickLabels, getOwnCategoryAxisLabelColor, getOwnCategoryAxisLineColor, getOwnCategoryAxisTickLabelColor, setCategoryAxisTickLabelRotation`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRValueAxisFormat

      `getOwnValueAxisLabelColor, getOwnValueAxisLineColor, getOwnValueAxisTickLabelColor, getValueAxisLabelColor, getValueAxisLabelFont, getValueAxisLineColor, getValueAxisTickLabelColor, getValueAxisTickLabelFont, getValueAxisTickLabelMask, getValueAxisVerticalTickLabels`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRCommonLinePlot

      `getShowLines, getShowShapes, setShowLines, setShowShapes`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com